﻿@model TesteAppVeyor.Models.IndexViewModel
@{
    ViewBag.Title = "Gerenciar";
}

<h2>@ViewBag.Title.</h2>

<p class="text-success">@ViewBag.StatusMessage</p>
<div>
    <h4>Alterar configurações de sua conta</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>Senha:</dt>
        <dd>
            [
            @if (Model.HasPassword)
            {
                @Html.ActionLink("Alterar sua senha", "ChangePassword")
            }
            else
            {
                @Html.ActionLink("Criar", "SetPassword")
            }
            ]
        </dd>
        <dt>Logins externos:</dt>
        <dd>
            @Model.Logins.Count [
            @Html.ActionLink("Gerenciar", "ManageLogins") ]
        </dd>
        @*
            Os Números de Telefone podem ser usados como um segundo fator de verificação em um sistema de autenticação de dois fatores.
             
             Consulte <a href="https://go.microsoft.com/fwlink/?LinkId=403804">este artigo</a>
                        para obter detalhes sobre a configuração deste aplicativo ASP.NET para dar suporte a uma autenticação de dois fatores usando SMS.
             
             Remova a marca de comentário dos blocos a seguir após configurar a autenticação de dois fatores
        *@
        @*  
            <dt>Número de telefone:</dt>
            <dd>
                @(Model.PhoneNumber ?? "None")
                @if (Model.PhoneNumber != null)
                {
                    <text>[&nbsp;&nbsp;@Html.ActionLink("Change", "AddPhoneNumber")&nbsp;&nbsp;]</text>
                    using (Html.BeginForm("RemovePhoneNumber", "Manage", FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
                    {
                        @Html.AntiForgeryToken()
                        <text>[<input type="submit" value="Remover" class="btn-link" />]</text>
                    }
                }
                else
                {
                    <text>[&nbsp;&nbsp;@Html.ActionLink("Add", "AddPhoneNumber")&nbsp;&nbsp;]</text>
                }
            </dd>
        *@
        <dt>Autenticação de dois fatores:</dt>
        <dd>
            <p>
                Não há provedores de autenticação de dois fatores configurados. Consulte <a href="https://go.microsoft.com/fwlink/?LinkId=403804">este artigo</a>
                para obter detalhes sobre como configurar este aplicativo ASP.NET para dar suporte à autenticação de dois fatores.
            </p>
            @*@if (Model.TwoFactor)
                {
                    using (Html.BeginForm("DisableTwoFactorAuthentication", "Manage", FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
                    {
                        @Html.AntiForgeryToken()
                        <text>Ativado
                        <input type="submit" value="Desativar" class="btn btn-link" />
                        </text>
                    }
                }
                else
                {
                    using (Html.BeginForm("EnableTwoFactorAuthentication", "Manage", FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
                    {
                        @Html.AntiForgeryToken()
                        <text>Desativado
                        <input type="submit" value="Ativar" class="btn btn-link" />
                        </text>
                    }
                }*@
        </dd>
    </dl>
</div>
